<script>
import BaseChart from "./BaseChart";
import getYMax from "@/components/chart/js/getYMax";
import getYMin from "@/components/chart/js/getYMin";
export default {
  name: "NormalLines",
  extends: BaseChart,
  props: {
    unit: {
      type: String,
      default: "",
    }
  },
  data() {
    return {}
  },
  methods: {
    setData(data) {
      let option = this.getOption(data);
      this.setOption(option);
    },
    getOption(data) {
      let xData = data && data.xData?data.xData: [];
      let series = data && data.series?data.series:[{
        type: "line",
        data: []
      }];
      let unit = (data ? data.unit : '') || this.unit;
      return {
        animation: false,
        tooltip:{
          trigger: 'axis',
          appendToBody: true,
        },
        grid: {
          top: "28px",
          left: '1%',
          right: '32px',
          bottom: '8px',
          containLabel: true
        },
        xAxis: {
          type: 'category',
          boundaryGap: 0,
          axisLine: {
            onZero: false
          },
          data: xData
        },
        yAxis: {
          type: 'value',
          name: unit?'Y('+unit+')':'Y',
          max: series[0].data.length == 0?1:getYMax,
          min: series[0].data.length == 0?0:getYMin,
        },
        series: series,
      }
    }
  },
  mounted() {
    this.setData();
  }
}
</script>